Bug 45907 - kernel oopses when analog joystick module loaded w/o joystick attached
kernel oopses when analog joystick module loaded w/o joystick attached
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-25 16:08 EDT by Preston Brown
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-25 16:08:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preston Brown 2001-06-25 16:08:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.2-2 i686)

Description of problem:
The kernel oopses when the analog joystick module is modprobed when no
joystick is attached.  Kernel 2.4.2-2.  Output of ksymoops:

>>EIP; d2943270 <[gameport]gameport_register_device+20/40>   <=====
Trace; d2947000 <[input]__kstrtab_input_event+1186/11e6>
Trace; d294860f <[analog]init_module+f/20>
Trace; d2948b34 <[analog]analog_dev+0/f>
Trace; c0116e05 <sys_init_module+525/5e0>
Trace; d2948ce0 <[analog]__module_description+0/39>
Trace; d2945000 <[gameport]__kstrtab_gameport_cooked_read+1618/1678>
Trace; d2947060 <[analog]analog_decode+0/2e0>
Trace; c010901b <system_call+33/38>
Code;  d2943270 <[gameport]gameport_register_device+20/40>
00000000 <_EIP>:
Code;  d2943270 <[gameport]gameport_register_device+20/40>   <=====
   0:   8b 43 3c                  mov    0x3c(%ebx),%eax   <=====
Code;  d2943273 <[gameport]gameport_register_device+23/40>
   3:   85 c0                     test   %eax,%eax
Code;  d2943275 <[gameport]gameport_register_device+25/40>
   5:   75 0d                     jne    14 <_EIP+0x14> d2943284
<[gameport]gameport_register_device+34/40>
Code;  d2943277 <[gameport]gameport_register_device+27/40>
   7:   8b 46 04                  mov    0x4(%esi),%eax
Code;  d294327a <[gameport]gameport_register_device+2a/40>
   a:   85 c0                     test   %eax,%eax
Code;  d294327c <[gameport]gameport_register_device+2c/40>
   c:   74 06                     je     14 <_EIP+0x14> d2943284
<[gameport]gameport_register_device+34/40>
Code;  d294327e <[gameport]gameport_register_device+2e/40>
   e:   56                        push   %esi
Code;  d294327f <[gameport]gameport_register_device+2f/40>
   f:   53                        push   %ebx
Code;  d2943280 <[gameport]gameport_register_device+30/40>
  10:   ff d0                     call   *%eax
Code;  d2943282 <[gameport]gameport_register_device+32/40>
  12:   5a                        pop    %edx
Code;  d2943283 <[gameport]gameport_register_device+33/40>
  13:   59                        pop    %ecx

How reproducible:
Always

Steps to Reproduce:
1.simply modprobe analog module w/o joystick attached to the js port
2.
3.
	

Actual Results:  analog module gets stuck in (initializing) state and
kernel oopses:

[pbrown@dionysus kudzu]$ lsmod
Module                  Size  Used by
analog                  7488 (initializing)
input                   3488   0 [analog]
gameport                2240   0 [analog]

...

Expected Results:  :)

Additional info:
Comment 1 Preston Brown 2002-04-05 16:35:03 EST
 not a problem in recent kernels.

Note You need to log in before you can comment on or make changes to this bug.